# upstream does data releases with a year-month-day versioning scheme, however
# this releases always coincide with a cdogs-sdl release, so since rpm handles
# year-month-day versioning scheme's badly I've decided to use the matching
# cdogs-sdl release version
%define cdogs_sdl_version 0.4
%define cdogs_data_version 2007-07-06

Name:           cdogs-data
Version:        %{cdogs_sdl_version}
Release:        1%{?dist}
Summary:        Data files for the CDogs game
Group:          Amusements/Games
License:        Freeware
URL:            http://lumaki.com/code/cdogs/
Source0:        http://icculus.org/%{name}/files/data/%{name}-%{cdogs_data_version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       cdogs-sdl >= %{cdogs_sdl_version}

%description
Data files for the CDogs game.


%prep
# nothing to prep


%build
# nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
tar xj --strip-components=1 -f %{SOURCE0} -C $RPM_BUILD_ROOT%{_datadir}/%{name}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/cdogs_icon.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/cdogs.png
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/cdogs?icon.*


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/48x48/apps/cdogs.png


%changelog
* Tue Jul 17 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4-1
- Initial Fedora Extras package
